<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="socket-binding-group.remote-destination-outbound-socket-binding">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="fixed-source-port,host,port,source-interface,source-port"/>
        <elem name="addr-params" value="socket-binding-group,remote-destination-outbound-socket-binding"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="socket-binding-group.remote-destination-outbound-socket-binding"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.network.outbound-socket-binding.$remote-destination-outbound-socket-binding"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.interface.$source-interface" optional="true"/>
    </requires>
    <refs>
        <ref feature="socket-binding-group"/>
    </refs>
    <params>
        <param name="socket-binding-group" feature-id="true"/>
        <param name="source-port" nillable="true"/>
        <param name="remote-destination-outbound-socket-binding" feature-id="true"/>
        <param name="port"/>
        <param name="host"/>
        <param name="source-interface" nillable="true"/>
        <param name="fixed-source-port" nillable="true"/>
    </params>
</feature-spec>